cmake_minimum_required(VERSION 3.10)
project(marte_dev_tests)

include_directories(
    ${MARTe2_DIR}/Source/Core/BareMetal/L0Types
    ${MARTe2_DIR}/Source/Core/BareMetal/L1Portability
    # ... more ...
    ../../Source
    ../../Headers
)

file(GLOB SOURCES "*.cpp")

add_executable(UnitTests ${SOURCES})

target_link_libraries(UnitTests
    marte_dev
    ${MARTe2_DIR}/Build/${TARGET}/Core/libMARTe2.so
)
